package com.tencent.luggage.sdk.customize.impl;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import com.google.android.gms.common.util.CrashUtils.ErrorDialogData;
import com.tencent.luggage.g.d;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.jsapi.w;
import com.tencent.mm.protocal.protobuf.bzx;

public final class FullSdkExternalToolsHelper implements w {
    public final void a(Context context, String str, bzx bzx) {
        AppMethodBeat.i(101630);
        d.d("Luggage.FullSdkExternalToolsHelper", "open webview activity url: %s", new Object[]{str});
        Intent intent = new Intent(context, SimpleWebViewActivity.class);
        intent.putExtra("_url_", str);
        if (!(context instanceof Activity)) {
            intent.addFlags(ErrorDialogData.BINDER_CRASH);
        }
        context.startActivity(intent);
        AppMethodBeat.o(101630);
    }
}
